Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003816ScribusUsabilitypublic2006-05-14 01:402010-01-22 00:31
Reportermhanski 
Assigned Tocbradney 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformanyOSanyOS Versionany
Product Version1.3 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0003816: Preferences/Tools: Add appriopriate titles for subsections
DescriptionPlease add appriopriate titles to Preferences/Tools to indicate, which sections has been selected. I.e., instead of using "Tools" for all sections, write the following for subsections:

Tools: Text Frame Properties
Tools: Picture Frame Properties
Tools: Shape Drawing Properties
....
Additional InformationTooltips are not good enough as the sole indication which subsection has been entered. Besides, they can be disabled in Help/Tooltips
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0003291closedplinnell Preferences>General: Font face setting needed 
related to 0002464acknowledged Metabug: GUI appearance 
related to 0003967closedfschmid Preferences/General: Font size setting for Palette titles needed 
child of 0003821acknowledged Metabug: Usability 

-  Notes
(0011283)
cbradney (administrator)
2006-05-14 12:32

Hmm needs a rewrite of the way the whole dialog adds items.
(0011284)
mhanski (developer)
2006-05-14 12:59

Speaking of rewriting the dialog: adding subtitles like "Text frames", "Picture frames" below the subsection icons in the dialog would add some usability too.

The user should know his options before he decides to click on one of the icons.
(0012457)
cbradney (administrator)
2006-09-07 20:19

Why couldnt we have just used the titles in the tools list box instead of the icons? We are now providing the information twice, and adding complexity to the interface.
(0012583)
mhanski (developer)
2006-09-20 17:19

IMHO, the subsection header are OK now, please could we have a little more distance between the headers and the contents?

Titles (or icons with subtitles) in the tools list box would be a great addition, too.

- Issue History
Date Modified Username Field Change
2006-05-14 01:40 mhanski New Issue
2006-05-14 02:07 mhanski Summary Preferences/Tools: Add appriopriate titles to subsections => Preferences/Tools: Add appriopriate titles for subsections
2006-05-14 11:30 mhanski Note Added: 0011282
2006-05-14 11:30 mhanski Note Deleted: 0011282
2006-05-14 12:32 cbradney Note Added: 0011283
2006-05-14 12:59 mhanski Note Added: 0011284
2006-05-15 20:01 christoph_s Relationship added child of 0003821
2006-05-18 12:56 mhanski Note Added: 0011357
2006-05-18 12:56 mhanski Note Deleted: 0011357
2006-06-02 14:40 mhanski OS => any
2006-06-02 14:40 mhanski OS Version => any
2006-06-02 14:40 mhanski Platform => any
2006-06-14 14:10 mhanski Relationship added related to 0003291
2006-07-02 18:14 mhanski Category User Interface => Usability
2006-07-05 00:06 mhanski Relationship added related to 0003967
2006-07-20 10:52 mhanski Relationship added related to 0002464
2006-08-31 15:16 mhanski Note Added: 0012384
2006-09-07 10:13 mhanski Note Deleted: 0012384
2006-09-07 13:47 fschmid Status new => resolved
2006-09-07 13:47 fschmid Fixed in Version => 1.3.4cvs
2006-09-07 13:47 fschmid Resolution open => fixed
2006-09-07 13:47 fschmid Assigned To => fschmid
2006-09-07 20:19 cbradney Status resolved => feedback
2006-09-07 20:19 cbradney Resolution fixed => reopened
2006-09-07 20:19 cbradney Note Added: 0012457
2006-09-20 17:19 mhanski Note Added: 0012583
2008-12-22 23:17 cbradney Status feedback => assigned
2008-12-22 23:17 cbradney Assigned To fschmid => cbradney
2008-12-22 23:17 cbradney Target Version => 1.3.6
2010-01-21 00:50 cbradney Status assigned => resolved
2010-01-21 00:50 cbradney Fixed in Version 1.3.4cvs => 1.5.0svn
2010-01-21 00:50 cbradney Resolution reopened => fixed
2010-01-22 00:31 cbradney Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker